Get Preview Meta Data

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches all metadata required for previewing the file. This will return the preview URL, preview data URL, and the size of the file.

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/previewinfo \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

resource_idstring(Required)

The unique ID of the file.

Response Example

R007

R007

R004

F7003

F7003

A001

R008

R008

F7004

R009

R009

R004

F000

200
200
400
401
403
404
500
Copied!
  {
    "data": {
      "id": "cjrrrd928be6312ac408abe79ec71db3de772",
      "type": "previewinfo",
      "attributes": {
        "is_download_server_file": false,
        "isdeveloper_file": false,
        "preview_status": 1,
        "size": "128 bytes",
        "preview_data_url": "https://www.zohoapis.com/workdrive/files/cjrrrd928be6312ac408abe79ec71db3de772/previewzip",
        "preview_url": "https://www.zohoapis.com/workdrive/preview/cjrrrd928be6312ac408abe79ec71db3de772",
        "size_in_bytes": "128",
        "resource_type_modified": false,
        "conversion_size_limit": "2 GB"
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/previewinfo/cjrrrd928be6312ac408abe79ec71db3de772"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R007",
        "title": "Invalid pattern"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7003",
        "title": "Invalid OAuth token"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "A001",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Insufficient permissions"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7004",
        "title": "Invalid OAuth scope"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R009",
        "title": "Resource not active"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Resource not found"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full